#include <bits/stdc++.h>
using namespace std;

int a[1000005];
int main()
{
    int n,k;
    cin>>n>>k;
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    int st=0;
    bool curgr=0;
    int groups=0;
    for(int i=0;i<n;i++)
    {
        if(curgr)
        {
            st=i;
            curgr=0;
            groups++;
        }
        curgr=(curgr|a[i]);

    }
    if(groups<k)cout<<0;
    else cout<<1;


}
